diff --git a/Makefile b/Makefile
index 74a3850..28792b6 100644
--- a/Makefile
+++ b/Makefile
@@ -15,6 +15,7 @@ SYSCONFDIR = /etc
 SYSVARDIR = /var
 CONFDIR = $(SYSCONFDIR)/$(NAME)
 HTTPDCONFDIR = $(SYSCONFDIR)/$(HTTPDNAME)/$(HTTPDSITECONF)
+LIGHTTPDCONFDIR = $(SYSCONFDIR)/lighttpd
 UNITDIR = $(SYSUSRDIR)/lib/systemd/system
 LOCALEDIR = $(SYSUSRDIR)/share/locale
 WWWDIR ?= $(SYSUSRDIR)/share/$(NAME)/htdocs
@@ -86,14 +87,13 @@ prepare_build:
 	mkdir -p $(DESTDIR)$(SYSCONFDIR) \
 	$(DESTDIR)$(CONFDIR) \
 	$(DESTDIR)$(HTTPDCONFDIR) \
+	$(DESTDIR)$(LIGHTTPDCONFDIR) \
 	$(DESTDIR)$(UNITDIR) \
 	$(DESTDIR)$(LOCALEDIR) \
 	$(DESTDIR)$(WWWDIR) \
 	$(DESTDIR)$(WWWDIR)/$(cachedir)
-	mkdir -m 750 -p $(DESTDIR)$(CONFDIR)/$(configdir)-api-apache \
-	$(DESTDIR)$(CONFDIR)/$(configdir)-api-lighttpd \
-	$(DESTDIR)$(CONFDIR)/$(configdir)-web-apache \
-	$(DESTDIR)$(CONFDIR)/$(configdir)-web-lighttpd \
+	mkdir -m 750 -p $(DESTDIR)$(CONFDIR)/$(configdir)-api \
+	$(DESTDIR)$(CONFDIR)/$(configdir)-web \
 	$(DESTDIR)$(WWWDIR)/$(configcachedir) \
 	$(DESTDIR)$(CACHEDIR) \
 	$(DESTDIR)$(VARLIBDIR)
@@ -132,16 +132,14 @@ prepare_locale: prepare_build
 	done
 
 prepare_samples:
-	install -m 644 $(samplesdir)/$(NAME)-api-lighttpd.conf $(DESTDIR)$(CONFDIR)
-	install -m 644 $(samplesdir)/$(NAME)-web-lighttpd.conf $(DESTDIR)$(CONFDIR)
+	install -m 644 $(samplesdir)/$(NAME)-api-lighttpd.conf $(DESTDIR)$(LIGHTTPDCONFDIR)/$(NAME)-api.conf
+	install -m 644 $(samplesdir)/$(NAME)-web-lighttpd.conf $(DESTDIR)$(LIGHTTPDCONFDIR)/$(NAME)-web.conf
 	install -m 644 $(samplesdir)/$(NAME)-api-lighttpd.service $(DESTDIR)$(UNITDIR)
 	install -m 644 $(samplesdir)/$(NAME)-web-lighttpd.service $(DESTDIR)$(UNITDIR)
 	install -m 644 $(samplesdir)/$(NAME)-api-apache.conf $(DESTDIR)$(HTTPDCONFDIR)/$(NAME)-api.conf
 	install -m 644 $(samplesdir)/$(NAME)-web-apache.conf $(DESTDIR)$(HTTPDCONFDIR)/$(NAME)-web.conf
-	install -m 600 $(samplesdir)/$(NAME).users $(DESTDIR)$(CONFDIR)/$(configdir)-api-lighttpd
-	install -m 600 $(samplesdir)/$(NAME).users $(DESTDIR)$(CONFDIR)/$(configdir)-api-apache
-	install -m 600 $(samplesdir)/$(NAME).users $(DESTDIR)$(CONFDIR)/$(configdir)-web-lighttpd
-	install -m 600 $(samplesdir)/$(NAME).users $(DESTDIR)$(CONFDIR)/$(configdir)-web-apache
+	install -m 660 $(samplesdir)/$(NAME).users $(DESTDIR)$(CONFDIR)/$(configdir)-api
+	install -m 660 $(samplesdir)/$(NAME).users $(DESTDIR)$(CONFDIR)/$(configdir)-web
 	# Default link apache config file
 	#ln -s $(DESTDIR)$(CONFDIR)/$(configdir)-api-apache $(DESTDIR)$(WWWDIR)/$(datadir)/$(configdir)
 
@@ -158,8 +156,8 @@ prepare_check_script:
 setup: prepare_samples prepare_check_script
 	sed -i -e "s#%DOCUMENTROOT#$(WWWDIR)#g" -e "s#%LOGDIR#$(HTTPDLOGS)#g" $(DESTDIR)$(HTTPDCONFDIR)/$(NAME)-api.conf
 	sed -i -e "s#%DOCUMENTROOT#$(WWWDIR)#g" -e "s#%LOGDIR#$(HTTPDLOGS)#g" $(DESTDIR)$(HTTPDCONFDIR)/$(NAME)-web.conf
-	sed -i -e "s#%DOCUMENTROOT#$(WWWDIR)#g" -e "s#%LOGDIR#$(LIGHTTPDLOGS)#g" $(DESTDIR)$(CONFDIR)/$(NAME)-api-lighttpd.conf
-	sed -i -e "s#%DOCUMENTROOT#$(WWWDIR)#g" -e "s#%LOGDIR#$(LIGHTTPDLOGS)#g" $(DESTDIR)$(CONFDIR)/$(NAME)-web-lighttpd.conf
+	sed -i -e "s#%DOCUMENTROOT#$(WWWDIR)#g" -e "s#%LOGDIR#$(LIGHTTPDLOGS)#g" $(DESTDIR)$(LIGHTTPDCONFDIR)/$(NAME)-api.conf
+	sed -i -e "s#%DOCUMENTROOT#$(WWWDIR)#g" -e "s#%LOGDIR#$(LIGHTTPDLOGS)#g" $(DESTDIR)$(LIGHTTPDCONFDIR)/$(NAME)-web.conf
 	sed -i -e "s#%CONFDIR#$(CONFDIR)#g" $(DESTDIR)$(UNITDIR)/$(NAME)-api-lighttpd.service
 	sed -i -e "s#%CONFDIR#$(CONFDIR)#g" $(DESTDIR)$(UNITDIR)/$(NAME)-web-lighttpd.service
 	find $(DESTDIR)/ -type f -name .gitignore -exec rm -f {} \;
